aboutsummaryrefslogtreecommitdiffstats
path: root/community/ospd-netstat/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-18 12:06:56 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-18 12:06:56 +0000
commit0956cf148e88d32fc1539c0e8700ddb93e75e3c4 (patch)
treedf0fda5a060b169062c4bd2e2980deec95279802 /community/ospd-netstat/APKBUILD
parente2a2b76f585ef70ee7f516fc2eb668920c255144 (diff)
downloadaports-0956cf148e88d32fc1539c0e8700ddb93e75e3c4.tar.gz
aports-0956cf148e88d32fc1539c0e8700ddb93e75e3c4.tar.bz2
aports-0956cf148e88d32fc1539c0e8700ddb93e75e3c4.tar.xz
community/ospd-netstat: moved from testing
Diffstat (limited to 'community/ospd-netstat/APKBUILD')
-rw-r--r--community/ospd-netstat/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/community/ospd-netstat/APKBUILD b/community/ospd-netstat/APKBUILD
new file mode 100644
index 0000000000..047fa63814
--- /dev/null
+++ b/community/ospd-netstat/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=ospd-netstat
+pkgver=1.0b1
+pkgrel=0
+_pkgid=2219
+pkgdesc="OSP server implementation to allow OpenVAS to remotel control nmap port scanner"
+url="http://www.openvas.org/"
+arch="noarch"
+license="GPL"
+depends="python ospd"
+depends_dev=""
+makedepends="$depends_dev cmake py-setuptools"
+install=""
+subpackages=""
+source="http://wald.intevation.org/frs/download.php/$_pkgid/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+
+
+md5sums="2ca9530e30a49594883a70a97269a6de ospd-netstat-1.0b1.tar.gz"
+sha256sums="a6c5f86adfaa1ee1622581882c9b8773b6079c93285de51a7865c1a44444d54f ospd-netstat-1.0b1.tar.gz"
+sha512sums="f5a439cd0f60073d5d25c4a10743945b8ef7eb041e0364f0ba73d250d0988b90d75f3156464433a7baab116680e3f54be2bb556053b0020177edca008cda0e69 ospd-netstat-1.0b1.tar.gz"